import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Sys006Service } from "app/views/sys/sys006/sys006.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Sys006Resolver implements Resolve<any> {
  constructor(private sys006Service: Sys006Service) {}

  resolve(): Observable<any> {
    return this.sys006Service.selectedGroup;
  }
}
